/*
 * app.js — prosty serwer Express.
*/

/*jslint         node    : true, continue : true,
  devel  : true, indent  : 2,    maxerr   : 50,
  newcap : true, nomen   : true, plusplus : true,
  regexp : true, sloppy  : true, vars     : false,
  white  : true
*/
/*global */

// ------------ ROZPOCZĘCIE SEKCJI ZMIENNYCH ZAKRESU MODUŁU --------------
'use strict';
var
  http    = require( 'http'    ),
  express = require( 'express' ),

  app     = express(),
  server  = http.createServer( app );
// ------------- ZAKOŃCZENIE SEKCJI ZMIENNYCH ZAKRESU MODUŁU ---------------

// ------------- ROZPOCZĘCIE SEKCJI KONFIGURACJI SERWERA ---------------
app.get( '/', function ( request, response ) {
  response.send( 'Witaj, Express' );
});
// -------------- ZAKOŃCZENIE SEKCJI KONFIGURACJI SERWERA ----------------

// ----------------- ROZPOCZĘCIE SEKCJI URUCHAMIANIA SERWERA -------------------
server.listen( 3000 );
console.log(
  'Serwer Express nasłuchuje na porcie %d w trybie %s',
   server.address().port, app.settings.env
);
// ------------------ ZAKOŃCZENIE SEKCJI URUCHAMIANIA SERWERA --------------------
